> For the complete documentation index, see [llms.txt](https://docs.zama.org/concrete-ml/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zama.org/concrete-ml/0.4/developer-guide/api/concrete.ml.common.check_inputs.md).

# concrete.ml.common.check\_inputs

[![](https://img.shields.io/badge/-source-cccccc?style=flat-square)](https://github.com/zama-ai/concrete-ml/blob/release/0.4.x/src/concrete/ml/common/check_inputs.py#L0)

## module `concrete.ml.common.check_inputs`

Check and conversion tools.

Utils that are used to check (including convert) some data types which are compatible with scikit-learn to numpy types.

***

[![](https://img.shields.io/badge/-source-cccccc?style=flat-square)](https://github.com/zama-ai/concrete-ml/blob/release/0.4.x/src/concrete/ml/common/check_inputs.py#L16)

### function `check_array_and_assert`

```python
check_array_and_assert(X)
```

sklearn.utils.check\_array with an assert.

Equivalent of sklearn.utils.check\_array, with a final assert that the type is one which is supported by Concrete-ML.

**Args:**

* **`X`** (object): Input object to check / convert

**Returns:** The converted and validated array

***

[![](https://img.shields.io/badge/-source-cccccc?style=flat-square)](https://github.com/zama-ai/concrete-ml/blob/release/0.4.x/src/concrete/ml/common/check_inputs.py#L33)

### function `check_X_y_and_assert`

```python
check_X_y_and_assert(X, y, *args, **kwargs)
```

sklearn.utils.check\_X\_y with an assert.

Equivalent of sklearn.utils.check\_X\_y, with a final assert that the type is one which is supported by Concrete-ML.

**Args:**

* **`X`** (ndarray, list, sparse matrix): Input data
* **`y`** (ndarray, list, sparse matrix): Labels
* **`*args`**: The arguments to pass to check\_X\_y
* **`**kwargs`**: The keyword arguments to pass to check\_X\_y

**Returns:** The converted and validated arrays


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zama.org/concrete-ml/0.4/developer-guide/api/concrete.ml.common.check_inputs.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
